LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Red Hat (http://www.linuxquestions.org/questions/red-hat-31/)
-   -   How to best install Python 2.4 on EL4 (http://www.linuxquestions.org/questions/red-hat-31/how-to-best-install-python-2-4-on-el4-506018/)

BillZ 11-29-2006 05:56 PM

How to best install Python 2.4 on EL4
 
I'm currently setting up several servers that are a mix of CentOS4 and RHEL4. I need to update Python to version 2.4. I have tried using the pyvault rpms, but there was a dependency on the alternatives package that couldn't seem to be resolved even when the alternatives package was already installed.

I found one suggestion to use the RHEL5 iso files to create a rpm repository for yum on CentOS along with the FC6 repositories, but that still ends up with errors.

Any help with this will be greatly appreciated.

Thanks,

Bill

Lenard 11-30-2006 01:45 PM

Build the python 2.4 packages from a source rpm file constructed for the Red Hat family, like for example;

http://download.fedora.redhat.com/pu...-8.FC4.src.rpm

Using the FC6 repos only works with the RHEL5 betas. Far to many changes for them to work with RHEL4 (and CentOS4), RHEL5 is being based on the FC5/6 work while RHEL4 is based on the work for FC3/4.

your_shadow03 06-15-2009 01:12 AM

I tried downloading python 2.4 from http://fixunix.com/redhat/351362-python-2-4-rhel4.html as .src.rpm. It first ran:
Code:

rpm -ivh <>.src.rpm
cd /usr/src/redhat/SPEC
rpmbuild -bb <>.spec

was a long listing of compilation but it exited as:
Code:

error: Bad exit status from /var/tmp/rpm-tmp.3610 (%install)


RPM build errors:
Bad exit status from /var/tmp/rpm-tmp.3610 (%install)

cmnorton 06-15-2009 10:58 AM

A good post about this
 
This post

http://python-forum.org/pythonforum/...version#p50458

is about Ubuntu, but may play well on Red Hat. You'd have to read the config and Makefile.

maestromani 10-21-2011 11:53 AM

how to uninstall python2.4
 
Hi There,

Someone have installed python local copy in RHEL 5.4, i need to remove that, can you please explain me the way for it.

make uninstall
make: *** No rule to make target `uninstall'. Stop

above is the error when i run make uninstall, i'm running in the same location where it got installed.

BRs
Mani.

John VV 10-21-2011 04:05 PM

maestromani please do not post the exact same question in a second thread
and one that is 5 years old
this post is a dup. of
https://www.linuxquestions.org/quest...-2-4-a-909359/
-- reported --

XavierP 10-21-2011 04:22 PM

Closed as per above.


All times are GMT -5. The time now is 04:04 AM.